https://api.unibee.dev/merchant/payment/refund/new
New Payment Refund
| Header | Required | Description |
|---|---|---|
Authorization | Yes | Bearer <your_api_key> |
Content-Type | Yes | application/json (for request body) |
| Name | Type | Required | Description |
|---|---|---|---|
currency | string | Yes | Currency |
externalRefundId | string | Yes | ExternalRefundId |
metadata | object | No | Metadata,Map |
paymentId | string | Yes | PaymentId |
reason | string | No | Reason |
refundAmount | integer | Yes | RefundAmount, Cent |
code, data, message, redirect, and requestId. code 0 indicates success.
| Field | Type | Description |
|---|---|---|
code | integer | Response code. 0 = success |
data | object | Response payload |
data.externalRefundId | string | ExternalRefundId |
data.paymentId | string | PaymentId |
data.refundId | string | RefundId |
data.status | integer | Status,10-create|20-success|30-Failed|40-Reverse |
message | string | Human-readable message |
requestId | string | Request ID for support |
| HTTP status | Meaning |
|---|---|
| 400 | Bad request — invalid or missing parameters. Check message in the body. |
| 401 | Unauthorized — missing or invalid API key. |
| 404 | Not found — invalid path or resource. |
| 500 | Server error — retry with backoff. |
code in the response body is non-zero, check message for details. Use requestId when contacting support.Bearer authentication header of the form Bearer <token>, where <token> is your auth token.